
//Servo tester V1 by Marius Taciuc 15 Jul 2022
#include <Servo.h>

Servo myservo;  // create servo object to control a servo
                // twelve servo objects can be created on most boards


#define left_end 45   // 5% duty cycle
#define center 93     // 7.5% duty cycle
#define right_end 142 // 10% duty cycle

int pos = 0;    // variable to store the servo position
int potpin = 2; // analog pin used to connect the potentiometer
int val;        // variable to read the value from the analog pin


void setup() {
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object
  pinMode(LED_BUILTIN,OUTPUT);
}


void loop() {
  val = analogRead(potpin);                      // reads the value of the potentiometer (value between 0 and 1023)
  val = map(val, 0, 1023, left_end, right_end);  // scale it to use it with the servo (value between 45* and 135*)
  if ((val>(center-5))and(val<(center+5))){
    val=center;
    digitalWrite(LED_BUILTIN,HIGH);
  }
  else{
    digitalWrite(LED_BUILTIN,LOW);
  }
  myservo.write(val);                  // sets the servo position 
  delay(10);                          // waits for the servo to get there

}
